add_library(Qt5::Core SHARED IMPORTED)
set_target_properties(Qt5::Core PROPERTIES
   IMPORTED_LOCATION ${QT5_ROOT}/lib/libQt5Core.so
   INTERFACE_INCLUDE_DIRECTORIES  ${QT5_ROOT}/include/QtCore
)
target_include_directories(Qt5::Core
   INTERFACE ${QT5_ROOT}/include
)

target_link_libraries(Qt5::Core
   INTERFACE rga
   INTERFACE drm
   INTERFACE z
   INTERFACE png16
   INTERFACE pcre
   INTERFACE pcre2-16
   INTERFACE gthread-2.0
   INTERFACE glib-2.0
)

add_library(Qt5::Gui SHARED IMPORTED)
set_target_properties(Qt5::Gui PROPERTIES
   IMPORTED_LOCATION ${QT5_ROOT}/lib/libQt5Gui.so
   INTERFACE_INCLUDE_DIRECTORIES  ${QT5_ROOT}/include/QtGui
)

add_library(Qt5::Widgets SHARED IMPORTED)
set_target_properties(Qt5::Widgets PROPERTIES
   IMPORTED_LOCATION ${QT5_ROOT}/lib/libQt5Widgets.so
   INTERFACE_INCLUDE_DIRECTORIES ${QT5_ROOT}/include/QtWidgets
)

target_include_directories(Qt5::Widgets
   INTERFACE ${QT5_ROOT}/include
)

add_library(Qt5::Network SHARED IMPORTED)
set_target_properties(Qt5::Network PROPERTIES
   IMPORTED_LOCATION ${QT5_ROOT}/lib/libQt5Network.so
   INTERFACE_INCLUDE_DIRECTORIES  ${QT5_ROOT}/include/QtNetwork
)